DCMTK: IODEnhUSImageModule Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | Static Private Attributes | List of all members
IODEnhUSImageModule Class Reference

Class representing the Enhanced US Image Module: More...

Inheritance diagram for IODEnhUSImageModule:

## Public Member Functions
| IODEnhUSImageModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODEnhUSImageModule ()
| Constructor.
virtual | ~IODEnhUSImageModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | getImageType (OFString &value, const signed long pos=0)
| Get Image Type.
virtual OFCondition | getSamplesPerPixel (Uint16 &value, const unsigned long pos=0)
| Get Samples Per Pixel.
virtual OFCondition | getPhotometricInterpretation (OFString &value, const signed long pos=0)
| Get Photometric Interpretation.
virtual OFCondition | getRows (Uint16 &value, const unsigned long pos=0)
| Get Rows.
virtual OFCondition | getColumns (Uint16 &value, const unsigned long pos=0)
| Get Columns.
virtual OFCondition | getBitsAllocated (Uint16 &value, const unsigned long pos=0)
| Get Bits Allocated.
virtual OFCondition | getBitsStored (Uint16 &value, const unsigned long pos=0)
| Get Bits Stored.
virtual OFCondition | getHighBit (Uint16 &value, const unsigned long pos=0)
| Get High Bit.
virtual OFCondition | getPixelRepresentation (Uint16 &value, const unsigned long pos=0)
| Get Pixel Representation.
virtual OFCondition | getDimensionOrganizationType (OFString &value, const signed long pos=0)
| Get Dimension Organization Type.
virtual OFCondition | getAcquisitionDateTime (OFString &value, const signed long pos=0)
| Get Acquisition DateTime.
virtual OFCondition | getAcquisitionDuration (Float64 &value, const unsigned long pos=0)
| Get Acquisition Duration.
virtual OFCondition | getPixelSpacing (Float64 &value, const unsigned long pos=0)
| Get Pixel Spacing.
virtual OFCondition | getPositionMeasuringDevice (OFString &value, const signed long pos=0)
| Get Position Measuring Device.
virtual OFCondition | getLossyImageCompression (OFString &value, const signed long pos=0)
| Get Lossy Image Compression.
virtual OFCondition | getLossyImageCompressionRatio (Float64 &value, const unsigned long pos=0)
| Get Lossy Image Compression Ratio.
virtual OFCondition | getLossyImageCompressionMethod (OFString &value, const signed long pos=0)
| Get Lossy Image Compression Method.
virtual OFCondition | getPresentationLUTShape (OFString &value, const signed long pos=0)
| Get Presentation LUT Shape.
virtual OFCondition | getRescaleSlope (Float64 &value, const unsigned long pos=0)
| Get Rescale Slope.
virtual OFCondition | getRescaleIntercept (OFString &value, const signed long pos=0)
| Get Rescale Intercept.
virtual OFCondition | getBurnedInAnnotation (OFString &value, const signed long pos=0)
| Get Burned-In Annotation.
virtual OFCondition | getRecognizableVisibleFeatures (OFString &value, const signed long pos=0)
| Get Recognizable Visual Features.
virtual MandatoryViewAndSliceProgressionDirectionMacro & | getMandatoryViewAndSliceProgressionDirection ()
| Get Mandatory View And Slice Progression Direction.
virtual GeneralAnatomyMacro & | getAnatomy ()
| Get Anatomy.
virtual CodeSequenceMacro & | getTransducerScanPattern ()
| Get Transducer Scan Pattern.
virtual CodeSequenceMacro & | getTransducerGeometry ()
| Get Transducer Geometry Code.
virtual OFVector< CodeSequenceMacro * > & | getTransducerBeamSteering ()
| Get Transducer Beam Steering.
virtual CodeSequenceMacro & | getTransducerApplication ()
| Get Transducer Application.
virtual OFCondition | getProcessingFunction (OFString &value, const signed long pos=0)
| Get Processing Function.
virtual OFCondition | getMechanicalIndex (Float64 &value, const unsigned long pos=0)
| Get Mechanical Index.
virtual OFCondition | getBoneThermalIndex (Float64 &value, const unsigned long pos=0)
| Get Bone Thermal Index.
virtual OFCondition | getCranialThermalIndex (Float64 &value, const unsigned long pos=0)
| Get Cranial Thermal Index.
virtual OFCondition | getSoftTissueThermalIndex (Float64 &value, const unsigned long pos=0)
| Get Soft Tissue Thermal Index.
virtual OFCondition | getDepthsOfFocus (Float64 &value, const unsigned long pos=0)
| Get Depth(s) of Focus.
virtual OFCondition | getDepthsOfScanField (Sint32 &value, const unsigned long pos=0)
| Get Depth(s) of Scan Field.
virtual OFCondition | setImageType (const DcmIODTypes::IOD_ENHUSIMAGETYPE pixelDataChar, const OFString &imageFlavor="", const OFString &derivedPixelContrast="", const OFBool checkValue=OFTrue)
| Set Image Type.
virtual OFCondition | setRows (const Uint16 value, const OFBool checkValue=OFTrue)
| Set Rows.
virtual OFCondition | setColumns (const Uint16 value, const OFBool checkValue=OFTrue)
| Set Columns.
virtual OFCondition | setBitsAllocated (const Uint16 value, const OFBool checkValue=OFTrue)
| Set Bits Allocated.
virtual OFCondition | setBitsStored (const Uint16 value, const OFBool checkValue=OFTrue)
| Set Bits Stored.
virtual OFCondition | setHighBit (const Uint16 value, const OFBool checkValue=OFTrue)
| Set High Bit.
virtual OFCondition | setDimensionOrganizationType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Dimension Organization Type.
virtual OFCondition | setAcquisitionDateTime (const OFString &value, const OFBool checkValue=OFTrue)
| Set Acquisition DateTime.
virtual OFCondition | setAcquisitionDuration (const Float64 value, const OFBool checkValue=OFTrue)
| Set Acquisition Duration.
virtual OFCondition | setPixelSpacing (const OFString &value, const OFBool checkValue=OFTrue)
| Set Pixel Spacing.
virtual OFCondition | setPositionMeasuringDevice (const OFString &value, const OFBool checkValue=OFTrue)
| Set Position Measuring Device.
virtual OFCondition | setLossyImageCompression (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression.
virtual OFCondition | setLossyImageCompressionRatio (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression Ratio.
virtual OFCondition | setLossyImageCompressionMethod (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression Method.
virtual OFCondition | setRecognizableVisibleFeatures (const OFString &value, const OFBool checkValue=OFTrue)
| Set Recognizable Visual Features.
virtual OFCondition | setProcessingFunction (const OFString &value, const OFBool checkValue=OFTrue)
| Set Processing Function.
virtual OFCondition | setMechanicalIndex (const OFString &value, const OFBool checkValue=OFTrue)
| Set Mechanical Index.
virtual OFCondition | setBoneThermalIndex (const OFString &value, const OFBool checkValue=OFTrue)
| Set Bone Thermal Index.
virtual OFCondition | setCranialThermalIndex (const OFString &value, const OFBool checkValue=OFTrue)
| Set Cranial Thermal Index.
virtual OFCondition | setSoftTissueThermalIndex (const OFString &value, const OFBool checkValue=OFTrue)
| Set Soft Tissue Thermal Index.
virtual OFCondition | setDepthsOfFocus (const Float64 value, const unsigned long pos, const OFBool checkValue=OFTrue)
| Set Depth(s) of Focus.
virtual OFCondition | setDepthsOfFocus (const OFVector< Float64 > &values, const OFBool checkValue=OFTrue)
| Set Depth(s) of Focus (convenience function)
virtual OFCondition | setDepthsOfScanField (const OFString &value, const OFBool checkValue=OFTrue)
| Set Depth(s) of Scan Field.
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Private Attributes
MandatoryViewAndSliceProgressionDirectionMacro | m_MandatoryViewAndSliceProgressionDirection
| Mandatory View and Slice Progression Direction.
GeneralAnatomyMacro | m_Anatomy
| General Anatomy Mandatory Macro.
CodeSequenceMacro | m_TransducerScanPattern
| Item of Transducer Scan Pattern Code Sequence.
CodeSequenceMacro | m_TransducerGeometry
| Item of Transducer Geometry Code Sequence.
OFVector< CodeSequenceMacro * > | m_TransducerBeamSteering
| Item of Transducer Beam Steering Code Sequence.
CodeSequenceMacro | m_TransducerApplication
| Item of Transducer Application Code Sequence.

## Static Private Attributes
static const OFString | m_ModuleName
| This module's name ("EnhancedUSImageModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Enhanced US Image Module:

Image Type: (CS, 2 as defined in part 3, 1) Samples Per Pixel: (US, 1, 1) Photometric Interpretation (CS, 1, 1) Rows: (US, 1, 1) Columns: (US, 1, 1) Bits Allocated: (US, 1, 1) Bits Stored: (US, 1, 1) High Bit: (US, 1, 1) Pixel Representation: (US, 1, 1) Dimension Organization Type (CS, 1, 1) Acquisition DateTime (DT, 1, 1) Acquisition Duration (FD, 1, 1) Pixel Spacing (DS, 2, 1) Position Measuring Device Used (CS, 1, 1C) Lossy Image Compression: (CS, 1, 1) Lossy Image Compression Ratio: (DS, 1-n, 1C) Lossy Image Compression Method: (CS, 1-n, 1C) Presentation LUT Shape: (CS, 1, 1) Rescale Slope: (DS, 1, 1) Rescale Intercept: (DS, 1, 1) Mandatory View And Slice Progression Macro (type 1) Burned In Annotation: (CS, 1, 1) Recognizable Visual Features: (CS, 1, 3) Transducer Scan Pattern Code Sequence: (SQ, 1, 1) Transducer Geometry Code Sequence: (SQ, 1, 1) Transducer Beam Steering Code Sequence: (SQ, 1, 1) Transducer Application Code Sequence: (SQ, 1, 1) Processing Function: (LO, 1, 3) Mechanical Index: (DS, 1, 1) Bone Thermal Index: (DS, 1, 1) Cranial Thermal Index: (DS, 1, 1) Soft Tissue Thermal Index: (DS, 1, 1) Depth(s) of Focus: (FD, 1-n, 1) Depth(s) of Scan Field: (IS, 1, 1)

## Constructor & Destructor Documentation

## ◆ IODEnhUSImageModule()

IODEnhUSImageModule::IODEnhUSImageModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set where this classes rules are added to. If NULL, the class creates an empty rule set.

## Member Function Documentation

## ◆ getAcquisitionDateTime()

virtual OFCondition IODEnhUSImageModule::getAcquisitionDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Acquisition DateTime.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getAcquisitionDuration()

virtual OFCondition IODEnhUSImageModule::getAcquisitionDuration | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Acquisition Duration.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getAnatomy()

virtual GeneralAnatomyMacro & IODEnhUSImageModule::getAnatomy | ( |  | ) |
| virtual

Get Anatomy.

Returns
  Reference to Anatomy

## ◆ getBitsAllocated()

virtual OFCondition IODEnhUSImageModule::getBitsAllocated | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Bits Allocated.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getBitsStored()

virtual OFCondition IODEnhUSImageModule::getBitsStored | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Bits Stored.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getBoneThermalIndex()

virtual OFCondition IODEnhUSImageModule::getBoneThermalIndex | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Bone Thermal Index.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getBurnedInAnnotation()

virtual OFCondition IODEnhUSImageModule::getBurnedInAnnotation | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Burned-In Annotation.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getColumns()

virtual OFCondition IODEnhUSImageModule::getColumns | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Columns.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getCranialThermalIndex()

virtual OFCondition IODEnhUSImageModule::getCranialThermalIndex | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Cranial Thermal Index.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getDepthsOfFocus()

virtual OFCondition IODEnhUSImageModule::getDepthsOfFocus | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Depth(s) of Focus.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getDepthsOfScanField()

virtual OFCondition IODEnhUSImageModule::getDepthsOfScanField | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Depth(s) of Scan Field.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getDimensionOrganizationType()

virtual OFCondition IODEnhUSImageModule::getDimensionOrganizationType | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Dimension Organization Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getHighBit()

virtual OFCondition IODEnhUSImageModule::getHighBit | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get High Bit.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getImageType()

virtual OFCondition IODEnhUSImageModule::getImageType | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Image Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompression()

virtual OFCondition IODEnhUSImageModule::getLossyImageCompression | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Lossy Image Compression.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionMethod()

virtual OFCondition IODEnhUSImageModule::getLossyImageCompressionMethod | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Lossy Image Compression Method.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionRatio()

virtual OFCondition IODEnhUSImageModule::getLossyImageCompressionRatio | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Lossy Image Compression Ratio.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getMandatoryViewAndSliceProgressionDirection()

virtual MandatoryViewAndSliceProgressionDirectionMacro & IODEnhUSImageModule::getMandatoryViewAndSliceProgressionDirection | ( |  | ) |
| virtual

Get Mandatory View And Slice Progression Direction.

Returns
  Reference to Mandatory View And Slice Progression Direction

## ◆ getMechanicalIndex()

virtual OFCondition IODEnhUSImageModule::getMechanicalIndex | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Mechanical Index.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODEnhUSImageModule::getName | ( |  | ) | const
| virtual

Get name of module.

Returns
  Name of the module ("EnhancedUSImageModule")

Implements IODComponent.

## ◆ getPhotometricInterpretation()

virtual OFCondition IODEnhUSImageModule::getPhotometricInterpretation | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Photometric Interpretation.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPixelRepresentation()

virtual OFCondition IODEnhUSImageModule::getPixelRepresentation | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Pixel Representation.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPixelSpacing()

virtual OFCondition IODEnhUSImageModule::getPixelSpacing | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Pixel Spacing.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPositionMeasuringDevice()

virtual OFCondition IODEnhUSImageModule::getPositionMeasuringDevice | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Position Measuring Device.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPresentationLUTShape()

virtual OFCondition IODEnhUSImageModule::getPresentationLUTShape | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Presentation LUT Shape.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getProcessingFunction()

virtual OFCondition IODEnhUSImageModule::getProcessingFunction | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Processing Function.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getRecognizableVisibleFeatures()

virtual OFCondition IODEnhUSImageModule::getRecognizableVisibleFeatures | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Recognizable Visual Features.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getRescaleIntercept()

virtual OFCondition IODEnhUSImageModule::getRescaleIntercept | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Rescale Intercept.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getRescaleSlope()

virtual OFCondition IODEnhUSImageModule::getRescaleSlope | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Rescale Slope.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getRows()

virtual OFCondition IODEnhUSImageModule::getRows | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Rows.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSamplesPerPixel()

virtual OFCondition IODEnhUSImageModule::getSamplesPerPixel | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Samples Per Pixel.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getSoftTissueThermalIndex()

virtual OFCondition IODEnhUSImageModule::getSoftTissueThermalIndex | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Soft Tissue Thermal Index.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all values

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getTransducerApplication()

virtual CodeSequenceMacro & IODEnhUSImageModule::getTransducerApplication | ( |  | ) |
| virtual

Get Transducer Application.

Returns
  Reference to Transducer Application

## ◆ getTransducerBeamSteering()

virtual OFVector< CodeSequenceMacro * > & IODEnhUSImageModule::getTransducerBeamSteering | ( |  | ) |
| virtual

Get Transducer Beam Steering.

Returns
  Reference to Transducer Beam Steering

## ◆ getTransducerGeometry()

virtual CodeSequenceMacro & IODEnhUSImageModule::getTransducerGeometry | ( |  | ) |
| virtual

Get Transducer Geometry Code.

Returns
  Reference to Transducer Geometry

## ◆ getTransducerScanPattern()

virtual CodeSequenceMacro & IODEnhUSImageModule::getTransducerScanPattern | ( |  | ) |
| virtual

Get Transducer Scan Pattern.

Returns
  Reference to Transducer Scan Pattern

## ◆ read()

virtual OFCondition IODEnhUSImageModule::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = OFTrue )
| virtual

Read attributes from given item into this class.

Overwrites function of base class IODComponent.

Parameters

  source | The source to read from
  clearOldData | If OFTrue, old data is cleared before reading. Otherwise old data is overwritten (or amended)

Returns
  EC_Normal if reading was successful, error otherwise

Reimplemented from IODComponent.

## ◆ setAcquisitionDateTime()

virtual OFCondition IODEnhUSImageModule::setAcquisitionDateTime | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Acquisition DateTime.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (DT) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setAcquisitionDuration()

virtual OFCondition IODEnhUSImageModule::setAcquisitionDuration | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Acquisition Duration.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled,

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setBitsAllocated()

virtual OFCondition IODEnhUSImageModule::setBitsAllocated | ( | const Uint16 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Bits Allocated.

Parameters

  value | Value to be set, permitted values: 8 or 16
  checkValue | Check 'value' for conformance if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setBitsStored()

virtual OFCondition IODEnhUSImageModule::setBitsStored | ( | const Uint16 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Bits Stored.

Parameters

  value | Value to be set, permitted values: 8 or 16
  checkValue | Check 'value' for conformance if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setBoneThermalIndex()

virtual OFCondition IODEnhUSImageModule::setBoneThermalIndex | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Bone Thermal Index.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (DS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setColumns()

virtual OFCondition IODEnhUSImageModule::setColumns | ( | const Uint16 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Columns.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setCranialThermalIndex()

virtual OFCondition IODEnhUSImageModule::setCranialThermalIndex | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Cranial Thermal Index.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (DS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setDepthsOfFocus() [1/2]

virtual OFCondition IODEnhUSImageModule::setDepthsOfFocus | ( | const Float64 | value,
|  | const unsigned long | pos,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Depth(s) of Focus.

Parameters

  value | Value to be set
  pos | Index of the value to set (0..vm-1)
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setDepthsOfFocus() [2/2]

virtual OFCondition IODEnhUSImageModule::setDepthsOfFocus | ( | const OFVector< Float64 > & | values,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Depth(s) of Focus (convenience function)

Parameters

  values | Value(s) to be set
  checkValue | Check 'value'. Not evaluated (here for consistency with other setter functions).

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setDepthsOfScanField()

virtual OFCondition IODEnhUSImageModule::setDepthsOfScanField | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Depth(s) of Scan Field.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (IS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setDimensionOrganizationType()

virtual OFCondition IODEnhUSImageModule::setDimensionOrganizationType | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Dimension Organization Type.

Parameters

  value | Value to be set, permitted values: "3D" or "3D_TEMPORAL"
  checkValue | Check 'value' for conformance if enabled, including VR (CS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setHighBit()

virtual OFCondition IODEnhUSImageModule::setHighBit | ( | const Uint16 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set High Bit.

Parameters

  value | Value to be set, permitted values: 7 or 15
  checkValue | Check 'value' for conformance if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setImageType()

virtual OFCondition IODEnhUSImageModule::setImageType | ( | const DcmIODTypes::IOD_ENHUSIMAGETYPE | pixelDataChar,
|  | const OFString & | imageFlavor = "",
|  | const OFString & | derivedPixelContrast = "",
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Image Type.

Image Type contains up to four values. Value 3 and 4 are optional and can be left empty if desired. The values in their order of occurrence are: 1) Pixel Data Characteristics: Either ORIGINAL or DERIVED 2) Patient Examination Characteristics: Fixed to "PRIMARY", thus cannot be influenced through this function. 3) Image Flavor: Defined Terms listed in the standard 4) Derived Pixel Contrast: Defined Terms listed in the standard

Parameters

  pixelDataChar | Value 1 of Image Type
  imageFlavor | Value 3 of Image Type
  derivedPixelContrast | Value 4 of Image Type
  checkValue | If OFTrue, the value is checked for conformance.

Returns
  EC_Normal if setting was successful, error otherwise.

## ◆ setLossyImageCompression()

virtual OFCondition IODEnhUSImageModule::setLossyImageCompression | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Lossy Image Compression.

Parameters

  value | Value to be set, permitted values: "00" (not lossy compressed) or "01" (lossy compressed)
  checkValue | Check 'value' for conformance if enabled, including VR (CS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionMethod()

virtual OFCondition IODEnhUSImageModule::setLossyImageCompressionMethod | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Lossy Image Compression Method.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (CS)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionRatio()

virtual OFCondition IODEnhUSImageModule::setLossyImageCompressionRatio | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Lossy Image Compression Ratio.

Parameters

  value | Value to be set, including VR (DS) and VM (1-n)
  checkValue | Check 'value' for conformance if enabled, including VR (DS)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setMechanicalIndex()

virtual OFCondition IODEnhUSImageModule::setMechanicalIndex | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Mechanical Index.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (DS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPixelSpacing()

virtual OFCondition IODEnhUSImageModule::setPixelSpacing | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Pixel Spacing.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (DS) and VM (2)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPositionMeasuringDevice()

virtual OFCondition IODEnhUSImageModule::setPositionMeasuringDevice | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Position Measuring Device.

Parameters

  value | Value to be set, permitted values: "RIGID" or "FREEHAND"
  checkValue | Check 'value' for conformance if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setProcessingFunction()

virtual OFCondition IODEnhUSImageModule::setProcessingFunction | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Processing Function.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (LO) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setRecognizableVisibleFeatures()

virtual OFCondition IODEnhUSImageModule::setRecognizableVisibleFeatures | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Recognizable Visual Features.

Parameters

  value | Value to be set, permitted values: "YES" or "NO"
  checkValue | Check 'value' for conformance if enabled, including VR (CS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setRows()

virtual OFCondition IODEnhUSImageModule::setRows | ( | const Uint16 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Rows.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setSoftTissueThermalIndex()

virtual OFCondition IODEnhUSImageModule::setSoftTissueThermalIndex | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Soft Tissue Thermal Index.

Parameters

  value | Value to be set
  checkValue | Check 'value' for conformance if enabled, including VR (DS) and VM (1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition IODEnhUSImageModule::write | ( | DcmItem & | destination | ) |
| virtual

Write attributes from this class into given item.

Overwrites function of base class IODComponent.

Parameters

  destination | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modenhusimage.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2